Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
conversations
List conversations for a project
curl --request GET \
  --url https://api.us.poly.ai/v1/agents/{agentId}/conversations \
  --header 'X-API-KEY: <api-key>'
{
  "conversations": [
    {
      "conversationId": "<string>",
      "accountId": "<string>",
      "projectId": "<string>",
      "createdAt": "<string>",
      "startedAt": "<string>",
      "finishedAt": "<string>",
      "channel": "<string>",
      "fromNumber": "<string>",
      "toNumber": "<string>",
      "language": "<string>",
      "variantId": "<string>",
      "clientEnv": "<string>",
      "totalDuration": 123,
      "polyaiDuration": 123,
      "duration": 123,
      "inProgress": true,
      "handoff": true,
      "handoffDestination": "<string>",
      "handoffReason": "<string>",
      "direction": "<string>",
      "tags": [
        "<string>"
      ],
      "polyScore": 123,
      "shortSummary": "<string>",
      "deploymentId": "<string>",
      "note": "<string>",
      "audioUrl": "<string>"
    }
  ],
  "count": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required

Query Parameters

limit
integer
default:50

Max number of conversations to return

Required range: x >= 1
offset
integer
default:0

Number of conversations to skip

Required range: x >= 0

Response

Successful response

A page of conversations matching the query, plus total count and limit/offset pagination.

conversations
object[]
required
count
integer
required
limit
integer
required
offset
integer
required
Last modified on June 4, 2026